LecuyerUniformRng Class Reference

Uniform random number generator. More...

`#include <ql/math/randomnumbers/lecuyeruniformrng.hpp>`

## Public Types

typedef Sample< Real > | sample_type

## Public Member Functions

| LecuyerUniformRng (long seed=0)
sample_type | next () const

## Detailed Description

Uniform random number generator.

Random number generator of L'Ecuyer with added Bays-Durham shuffle (know as ran2 in Numerical recipes)

For more details see Section 7.1 of Numerical Recipes in C, 2nd Edition, Cambridge University Press (available at http://www.nr.com/)

## Constructor & Destructor Documentation

LecuyerUniformRng | ( | long | seed = `0` | ) |

explicit

if the given seed is 0, a random seed will be chosen based on clock()

## Member Function Documentation

sample_type next | ( |  | ) | const

returns a sample with weight 1.0 containing a random number uniformly chosen from (0.0,1.0)